Skip to main content
POST
/
v1
/
tables
/
{sourceTableId}
/
duplicate
cURL
curl --request POST \
  --url https://api.botpress.cloud/v1/tables/{sourceTableId}/duplicate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-bot-id: <x-bot-id>' \
  --data '
{
  "tableName": "<string>",
  "schemaOnly": true,
  "factor": 15.5
}
'
{
  "table": {
    "id": "<string>",
    "name": "<string>",
    "schema": {
      "properties": {},
      "additionalProperties": true,
      "type": "object",
      "$schema": "<string>",
      "required": [
        "<string>"
      ]
    },
    "factor": 1,
    "frozen": true,
    "keyColumn": "<string>",
    "tags": {},
    "isComputeEnabled": true,
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  },
  "rows": 123,
  "job": {
    "id": "<string>",
    "status": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-bot-id
string
required

Bot id

x-integration-id
string

Integration id

x-integration-alias
string

Integration alias

x-integration-name
string

Integration name

x-user-id
string

User Id

x-user-role
string

User Role

Path Parameters

sourceTableId
string
required

The table's unique identifier

Body

application/json

Parameters for the duplication operation.

tableName
string
schemaOnly
boolean

Only duplicate the schema, not the content

factor
number

Override the factor for the duplicated table. If not provided, the new table will use the same factor as the source table.

Required range: 1 <= x <= 30

Response

The created table object. For large tables, rows are copied asynchronously and a job object is returned to track progress.

table
object
required
rows
number
required

The total number of rows present in the source table.

job
object
Last modified on March 18, 2026